# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "diskonaut-ng"
version = "0.13.1"
authors = [
    "Aram Drevekenin <aram@poor.dev>",
    "Gregory Shuflin <greg@everydayimshuflin.com>",
]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Terminal disk space visual navigator"
homepage = "https://code.everydayimshuflin.com/greg/diskonaut"
readme = "README.md"
license = "MIT"
repository = "https://code.everydayimshuflin.com/greg/diskonaut"

[[bin]]
name = "diskonaut"
path = "src/main.rs"

[dependencies.anyhow]
version = "1"

[dependencies.clap]
version = "4"
features = ["derive"]

[dependencies.crossterm]
version = "0.29"

[dependencies.filesize]
version = "0.2.0"

[dependencies.jwalk]
version = "0.8"

[dependencies.nix]
version = "0.30.0"
features = ["user"]

[dependencies.ratatui]
version = "0.29"
features = ["crossterm"]
default-features = false

[dependencies.unicode-width]
version = "0.2"

[dev-dependencies.insta]
version = "1.43"

[target."cfg(windows)".dependencies.winapi]
version = "0.3"
features = [
    "securitybaseapi",
    "debugapi",
]
